<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>JS-8</title>
        <style>
        body {
            margin: 0 auto;
            background-color: paleturquoise;
            text-align: center;
            font-size: 20px;
        }

        .block {
            display: block;
            width: 340px;
            height: 40px;
            margin: 20px;
            text-align: center;
        }

        #currentPrice {
            position: relative;
            color: green;
            padding: 10px 40px;
            border-radius: 40px;
            background-color: #d2d2d2;
        }

        .remove-button {
            position: absolute;
            font-size: 20px;
            top: 10px;
            color: green;
            right: 10px;
            display: block;
            width: 24px;
            height: 24px;
            cursor: pointer;
            border: none;
            background-color: transparent;
        }

        .price_form {
            display: flex;
            justify-content: center;
            width: 350px;
            height: 200px;
            flex-direction: column;
            margin: 0 auto;
            padding: 50px;
        }

        .green {
            border: 3px solid green;
        }

        .red {
            border: 3px solid red;
        }

        .hide {
            display: none;
        }

        #error {
            color: red;
            padding-top: 10px;
        }
    </style>
</head>
<body>
<form class="price_form">
    <div class="block">
    <span id="currentPrice" class="hide">
        Current price: $ <span id="priceValue"></span>
        <span id="buttonClose" class="remove-button">x</span>
    </span>
    </div>
        <label class="input-wrapper">
        Price,$
        <input type="text" id="price">
    </label>
    <div class="block">
    <div id="error" class="hide">Please enter correct price</div>
    </div>
</form>

<script src="script.js"></script>
</body>
</html>

